# pandas.core.groupby.DataFrameGroupBy.corrwith

`DataFrameGroupBy.``corrwith`

  Compute pairwise correlation between rows or columns of DataFrame with rows or columns of Series or DataFrame. DataFrames are first aligned along both axes before computing the correlations.

  Parameters:

  other : DataFrame, Series

  > Object with which to compute correlations.

  axis : {0 or ‘index’, 1 or ‘columns’}, default 0

  > 0 or ‘index’ to compute column-wise, 1 or ‘columns’ for row-wise.

  drop : bool, default False

  > Drop missing indices from result.

  method : {‘pearson’, ‘kendall’, ‘spearman’} or callable

  > - pearson : standard correlation coefficient
  > - kendall : Kendall Tau correlation coefficient
  > - spearman : Spearman rank correlation
  > - callable: callable with input two 1d ndarrays
  >     and returning a float

  > New in version 0.24.0.

  Returns:

  Series

  > Pairwise correlations.

  See also

  `DataFrame.corr`

Scroll To Top